Criar habilidade
Este endpoint cria uma nova skill para o tenant atual.
POST
/SkillEste endpoint cria uma nova skill para o tenant atual.
Autenticação
Autenticação obrigatória. Envie sua chave de API de usuário no header X-API-Key.
Parâmetros
Esta operação não possui parâmetros de rota, query ou header.
Corpo da requisição
Content type: application/json · Schema: SkillDto
| Propriedade | Tipo | Obrigatório | Descrição | Restrições |
|---|---|---|---|---|
id | integer · int32 | Não | — | — |
tenantId | integer · int32 | Não | — | — |
name | string | Não | — | aceita null; maxLength: 64 |
description | string | Não | — | aceita null; maxLength: 1024 |
content | string | Não | — | aceita null |
enabled | boolean | Não | — | — |
Exemplo de requisição
curl --request POST \
--url 'https://api.zild.ai/Skill' \
--header 'X-API-Key: YOUR_USER_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"id": 0,
"tenantId": 0,
"name": "string",
"description": "string",
"content": "string",
"enabled": true
}'
Respostas
| Status | Descrição | Corpo da resposta |
|---|---|---|
200 | Skill criada com sucesso | application/json · SkillDto |
Exemplo de resposta (200):
{
"id": 0,
"tenantId": 0,
"name": "string",
"description": "string",
"content": "string",
"enabled": true
}
Modelos de dados
SkillDto
| Propriedade | Tipo | Obrigatório | Descrição | Restrições |
|---|---|---|---|---|
id | integer · int32 | Não | — | — |
tenantId | integer · int32 | Não | — | — |
name | string | Não | — | aceita null; maxLength: 64 |
description | string | Não | — | aceita null; maxLength: 1024 |
content | string | Não | — | aceita null |
enabled | boolean | Não | — | — |